import type { MessageHandler, MessageHandlerInboundMessage } from '../../../../../agent/MessageHandler';
import type { Logger } from '../../../../../logger';
import type { DidCommMessageRepository } from '../../../../../storage';
import type { V1CredentialService } from '../V1CredentialService';
import { OutboundMessageContext } from '../../../../../agent/models';
import { V1RequestCredentialMessage } from '../messages';
export declare class V1RequestCredentialHandler implements MessageHandler {
    private credentialService;
    private didCommMessageRepository;
    private logger;
    supportedMessages: (typeof V1RequestCredentialMessage)[];
    constructor(credentialService: V1CredentialService, didCommMessageRepository: DidCommMessageRepository, logger: Logger);
    handle(messageContext: MessageHandlerInboundMessage<V1RequestCredentialHandler>): Promise<OutboundMessageContext<import("../messages").V1IssueCredentialMessage> | undefined>;
    private acceptRequest;
}
